Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::ScreenCaptureConfiguration Struct Reference

`#include <IAgoraRtcEngine.h>`

## Public Member Functions
| ScreenCaptureConfiguration ()

## Public Attributes
bool | isCaptureWindow
int64_t | displayId
Rectangle | screenRect
int64_t | windowId
ScreenCaptureParameters | params
Rectangle | regionRect

## Constructor & Destructor Documentation

## ◆ ScreenCaptureConfiguration()

agora::rtc::ScreenCaptureConfiguration::ScreenCaptureConfiguration | ( |  | ) |
| inline

## Member Data Documentation

## ◆ isCaptureWindow

bool agora::rtc::ScreenCaptureConfiguration::isCaptureWindow

Whether to capture the window on the screen:

- `true`: Capture the window.
- `false`: (Default) Capture the screen, not the window.

## ◆ displayId

int64_t agora::rtc::ScreenCaptureConfiguration::displayId

(macOS only) The display ID of the screen.

Note
  This parameter takes effect only when you want to capture the screen on macOS.

## ◆ screenRect

Rectangle agora::rtc::ScreenCaptureConfiguration::screenRect

(Windows only) The relative position of the shared screen to the virtual screen.

Note
  This parameter takes effect only when you want to capture the screen on Windows.

## ◆ windowId

int64_t agora::rtc::ScreenCaptureConfiguration::windowId

(For Windows and macOS only) Window ID.

Note
  This parameter takes effect only when you want to capture the window.

## ◆ params

ScreenCaptureParameters agora::rtc::ScreenCaptureConfiguration::params

(For Windows and macOS only) The screen capture configuration. See `ScreenCaptureParameters`.

## ◆ regionRect

Rectangle agora::rtc::ScreenCaptureConfiguration::regionRect

(For Windows and macOS only) The relative position of the shared region to the whole screen. See `Rectangle`. If you do not set this parameter, the SDK shares the whole screen. If the region you set exceeds the boundary of the screen, only the region within in the screen is shared. If you set width or height in `Rectangle` as 0, the whole screen is shared.